<?php

/**
 * @module          Media Gallery
 * @author          cms-lab
 * @copyright       2018-2018 cms-lab
 * @link            http://www.cms-lab.com
 * @license         custom license: http://cms-lab.com/_documentation/media_gallery/license.php
 * @license_terms   please see license
 *
 */

class media_gallery_frontend extends LEPTON_abstract
{
	public $all_media = array();
	public $all_groups = array();
	public $current_groups = array();
	public $database = 0;
	public static $instance;


	public function initialize() 
	{
		$this->database = LEPTON_database::getInstance();
		$this->init_addon();
	}
	
	public function init_addon()
	{
		
		//get all active media
		$this->all_media = array();
		$this->database->execute_query(
			"SELECT * FROM ".TABLE_PREFIX."mod_media_gallery WHERE active = 1 ORDER by titledate DESC"  ,
			true,
			$this->all_media,
			true
		);	
		
		
		//get all active groups
		$this->all_groups = array();
		$this->database->execute_query(
			"SELECT * FROM ".TABLE_PREFIX."mod_media_gallery_groups WHERE active = 1" ,
			true,
			$this->all_groups,
			true
		);	

		// get current groups
		foreach($this->all_groups as $temp_group) {
			$this->current_groups[ $temp_group['group_id'] ] =  $temp_group;
		}
				
	}	
	
public function build_output($filetype = '', $mediagroup = '')
	{
//echo (LEPTON_tools::display($this,'pre','ui red message'));
		// data for twig template engine	
		$data = array(
			'oMGF'			=> $this
        );

		/**	
		 *	get the template-engine.
		 */
		$oTwig = lib_twig_box::getInstance();
		$oTwig->registerModule('media_gallery');
			
		return $oTwig->render( 
			"@media_gallery/output.lte",	//	template-filename
			$data						//	template-data
		);	

	}
	
} // end of class
?>