<?php

/**
 * @module          Media Gallery
 * @author          cms-lab
 * @copyright       2018-2018 cms-lab
 * @link            http://www.cms-lab.com
 * @license         custom license: http://cms-lab.com/_documentation/media_gallery/license.php
 * @license_terms   please see license
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {   
   include(LEPTON_PATH.'/framework/class.secure.php');
} else {
   $oneback = "../";
   $root = $oneback;
   $level = 1;
   while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
      $root .= $oneback;
      $level += 1;
   }
   if (file_exists($root.'/framework/class.secure.php')) {
      include($root.'/framework/class.secure.php');
   } else {
      trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
   }
}
// end include class.secure.php

// addon tables
$table_fields ="
	  `media_id` INT NOT NULL AUTO_INCREMENT,
	  `filetype` varchar(32) NOT NULL DEFAULT 'img',
	  `fileurl` varchar(256) NOT NULL DEFAULT '',
	  `mediagroup` int NOT NULL DEFAULT 1,
	  `publisher` varchar(128) NOT NULL DEFAULT '',
	  `title` varchar(256) NOT NULL DEFAULT '',
	  `titledate` date NOT NULL DEFAULT '2000-01-01',
	  `titlelink_extern` varchar(256) NOT NULL DEFAULT '',
	  `previewurl` varchar(256) NOT NULL DEFAULT '',
	  `previewtitle` varchar(256) NOT NULL DEFAULT '',
	  `previewalt` varchar(256) NOT NULL DEFAULT '',
	  `medialink` varchar(256) NOT NULL DEFAULT '',
	  `active` int NOT NULL DEFAULT '1',
	  PRIMARY KEY ( `media_id` )
	";
LEPTON_handle::install_table("mod_media_gallery", $table_fields);

$table_fields ="
	  `group_id` INT NOT NULL AUTO_INCREMENT,
	  `mediagroup` varchar(128) NOT NULL DEFAULT 'Groupname',
	  `active` int NOT NULL DEFAULT '1',
	  PRIMARY KEY ( `group_id` )
	";
LEPTON_handle::install_table("mod_media_gallery_groups", $table_fields);

$field_values ="
	(NULL, 'Gruppe1',1),
	(NULL, 'Gruppe2',1)
	";
LEPTON_handle::insert_values("mod_media_gallery_groups", $field_values);

// import default droplets
LEPTON_handle::install_droplets('media_gallery', 'droplet_media-gallery');

?>